 Documentation/kernel-parameters.txt |    2 +-
 arch/i386/kernel/cpu/intel.c        |    2 --
 arch/i386/kernel/process.c          |    3 ++-
 include/asm-i386/processor.h        |    2 ++
 4 files changed, 5 insertions(+), 4 deletions(-)

diff -puN arch/i386/kernel/cpu/intel.c~idle-using-monitor-mwait-tweaks arch/i386/kernel/cpu/intel.c
--- 25/arch/i386/kernel/cpu/intel.c~idle-using-monitor-mwait-tweaks	2003-09-05 23:54:19.000000000 -0700
+++ 25-akpm/arch/i386/kernel/cpu/intel.c	2003-09-05 23:54:19.000000000 -0700
@@ -13,8 +13,6 @@
 
 extern int trap_init_f00f_bug(void);
 
-extern void select_idle_routine(const struct cpuinfo_x86 *c);
-
 #ifdef CONFIG_X86_INTEL_USERCOPY
 /*
  * Alignment at which movsl is preferred for bulk memory copies.
diff -puN arch/i386/kernel/process.c~idle-using-monitor-mwait-tweaks arch/i386/kernel/process.c
--- 25/arch/i386/kernel/process.c~idle-using-monitor-mwait-tweaks	2003-09-05 23:54:19.000000000 -0700
+++ 25-akpm/arch/i386/kernel/process.c	2003-09-05 23:54:19.000000000 -0700
@@ -177,7 +177,7 @@ static void mwait_idle(void)
 void __init select_idle_routine(const struct cpuinfo_x86 *c)
 {
 	if (cpu_has(c, X86_FEATURE_MWAIT)) {
-		printk("Monitor/Mwait feature present.\n");
+		printk("monitor/mwait feature present.\n");
 		/*
 		 * Skip, if setup has overridden idle.
 		 * Also, take care of system with asymmetric CPUs.
@@ -185,6 +185,7 @@ void __init select_idle_routine(const st
 		 * If not, we fallback to default_idle()
 		 */
 		if (!pm_idle) {
+			printk("using mwait in idle threads.\n");
 			pm_idle = mwait_idle;
 		}
 		return;
diff -puN Documentation/kernel-parameters.txt~idle-using-monitor-mwait-tweaks Documentation/kernel-parameters.txt
--- 25/Documentation/kernel-parameters.txt~idle-using-monitor-mwait-tweaks	2003-09-05 23:54:19.000000000 -0700
+++ 25-akpm/Documentation/kernel-parameters.txt	2003-09-05 23:54:19.000000000 -0700
@@ -393,7 +393,7 @@ running once the system is up.
 			See Documentation/ide.txt.
 
 	idle=		[HW]
-			Format: poll
+			Format: idle=poll or idle=halt
  
 	in2000=		[HW,SCSI]
 			See header of drivers/scsi/in2000.c.
diff -puN include/asm-i386/processor.h~idle-using-monitor-mwait-tweaks include/asm-i386/processor.h
--- 25/include/asm-i386/processor.h~idle-using-monitor-mwait-tweaks	2003-09-05 23:54:19.000000000 -0700
+++ 25-akpm/include/asm-i386/processor.h	2003-09-05 23:54:19.000000000 -0700
@@ -617,4 +617,6 @@ extern inline void prefetchw(const void 
 }
 #define spin_lock_prefetch(x)	prefetchw(x)
 
+extern void select_idle_routine(const struct cpuinfo_x86 *c);
+
 #endif /* __ASM_I386_PROCESSOR_H */

_
